[SCM] crtmpserver/master: Add portinstall script for crtmpserver-apps package

jet-guest at users.alioth.debian.org jet-guest at users.alioth.debian.org
Sat Nov 5 09:34:49 UTC 2011


The following commit has been merged in the master branch:
commit a91aeff97b9c3a8e543a3f738bd52e0f952861ed
Author: Andriy Beregovenko <jet at jet.kiev.ua>
Date:   Sat Nov 5 11:34:37 2011 +0200

    Add portinstall script for crtmpserver-apps package

diff --git a/debian/crtmpserver-apps.postinst b/debian/crtmpserver-apps.postinst
new file mode 100644
index 0000000..1c6507d
--- /dev/null
+++ b/debian/crtmpserver-apps.postinst
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+set -e
+
+APPLICATIONS="admin applestreamingclient appselector flvplayback proxypublish samplefactory stresstest vptests"
+APPCONFPATH="/etc/crtmpserver/applications"
+
+
+case "$1" in
+	configure)
+		# Copy application config if not exists
+		for app in "$APPLICATIONS"; do
+			if [ ! -f /etc/crtmpserver/applications/${app}.lua ]
+			then
+				cp /etc/crtmpserver/applications/${app}.lua.sample \
+					/etc/crtmpserver/applications/${app}.lua
+				chmod 644 /etc/crtmpserver/applications/${app}.lua
+			fi
+		done
+
+		# copy users sample file if not exists
+		if [ ! -f /etc/crtmpserver/conf.d/users.lua ]
+		then
+			cp /etc/crtmpserver/conf.d/users.lua.sample \
+				/etc/crtmpserver/conf.d/users.lua
+			chmod 640 /etc/crtmpserver/conf.d/users.lua
+		fi
+
+		;;
+	abort-upgrade|abort-remove|abort-deconfigure)
+		;;
+	*)
+		exit 0
+		;;
+esac
+

-- 
crtmpserver packaging



More information about the pkg-multimedia-commits mailing list